/*
 *  Vazaar
 *  file: e-splash.c
 *
 *
 *  Copyright (C) 2005 Tomás Vírseda <kaskaras@yahoo.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>
#include <glade/glade.h>

//#include "vazaar.h"
#include "e-splash.h"

SplashScreen *
vazaar_gui_splash_new () {
	SplashScreen	*this = NULL;
	GdkPixbuf		*pixbuf;
	GError			*error;
	gchar			*path;
	
	g_message ("%s", GLADE_VAZAAR_PROJECT_FILE);
	g_message ("%s", GLADE_VAZAAR_SPLASHSCREEN_WIN);
	g_message ("%s", GLADE_VAZAAR_SPLASHSCREEN_IMAGE);
    this = g_new0(SplashScreen, 1);
    this->xml 		= glade_xml_new(GLADE_VAZAAR_PROJECT_FILE, GLADE_VAZAAR_MAIN_WIN, NULL);
	g_assert (this->xml);
	if (this->xml) {
		this->window 	= glade_xml_get_widget(this->xml, GLADE_VAZAAR_SPLASHSCREEN_WIN);	
		g_assert (this->window);
	}
	
	/*
    
    this->splash 	= glade_xml_get_widget (this->xml, GLADE_VAZAAR_SPLASHSCREEN_IMAGE);
	
	path = g_strdup_printf ("%s/%s", PACKAGE_DATA_DIR "/pixmaps/" PACKAGE "/system", "vazaar_splash.png");
	
	pixbuf = gdk_pixbuf_new_from_file (path, &error);
	if (error) {
		return NULL;
	}
	
	gtk_image_set_from_pixbuf (GTK_IMAGE (this->splash), pixbuf);	
	*/
	return this;
}

void
vazaar_gui_splash_finish (SplashScreen *this) {
    gtk_widget_destroy(this->window);
    g_free(this);
}
