/*
 *  Vazaar
 *  file: main.c
 *
 *
 *  Copyright (C) 2005 Tomás Vírseda <kaskaras@yahoo.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <libgnome/libgnome.h>
#include <gtk/gtk.h>
#include <libxml/xmlreader.h>
#include <glade/glade.h>
#include "init.h"
#include "debug.h"


xmlDocPtr       vazaar_doc;
xmlDocPtr       cats_doc;
xmlDocPtr       items_doc;


int
main(int argc, char *argv[])
{
    if (DEBUG)
		g_mem_set_vtable(glib_mem_profiler_table);

	init_vazaar (argc, argv);
	
    gtk_main();

    return 0;
}
